Subject: more ambrette

From: Jean-Joseph Cote <[email-masked]>
Date: Tue, 19 Oct 1999 08:56:30 -0400

Ambrette seems to be pretty easy to come by, but not the kind we've been
discussing. A web search will turn up lots of aromatherapy suppliers that
will sell you ambrette derived from hibiscus seed.  Interestingly, one
place described it as having  a "heavy, sweet odor similar to overripe
fruit".

Jean-Joseph